/**
 * A class to cycle through the different sounds that the witch makes.
 * The sound card plays a different sound when a LOW signal is placed on each pin in
 * soundPins[].
 * When PlayNextSound() is called, this class triggers the next sound to play.
 */
 class SoundPlayer
{
   public:
      SoundPlayer(int soundPins[], int soundPinCount);
      void PlayNextSound();
      void Initialize();
   private:
      void PlaySound(int);
      int clipToPlay = 0;
      int soundPinCount;
      bool debug = true;
      int triggerDelay = 100;  //Time to hold the pin low in order to trigger the audio. In milliseconds.
      int* soundPins;  //https://cplusplus.com/articles/EN3hAqkS/
      //https://www.reddit.com/r/cpp_questions/comments/cx7iyt/how_would_you_pass_an_array_to_a_constructor/
      //When an array is passed into a method, it is passed as a pointer.
};